package cz.moneta.test.dsl.newib.settings.disponents;

import cz.moneta.test.dsl.newib.NewIbPageFlow;
import cz.moneta.test.harness.support.web.*;

import static cz.moneta.test.dsl.newib.settings.disponents.DisponentsSettingsPage.TITLE_XPATH;

@Wait(value = {TITLE_XPATH}, waitSecondsForElement = 30)
public interface DisponentsSettingsPage extends NewIbPageFlow<DisponentsSettingsPage> {
    String TITLE_XPATH = "//h1[@class='t-title t-title--h3 u-mt--xxSmall' and text()='Správa eDisponentů']";
    String NAME_XPATH = "//p[@data-testid='TextComponent']";
    String ROLE_XPATH = "//p[@data-testid='TextComponent']//small[normalize-space()='eDisponent']";
    String STATUS_XPATH = "//div[@data-testid='status']//small[contains(normalize-space(),'Aktivní')]";

    @CheckElementPresent(NAME_XPATH)
    DisponentsSettingsPage checkName();

    @CheckElementPresent(ROLE_XPATH)
    DisponentsSettingsPage checkRole();

    @CheckElementPresent(STATUS_XPATH)
    DisponentsSettingsPage checkStatus();
}